package com.bonus.canteen.core.order.common.constants;

public enum OrderErrorTypeEnum {
   MQ_MAC_ASYNC_SAVE(1, "设备异步保存 MQ"),
   MQ_MAC_ASYNC_QUERY(2, "订单定时取消 MQ"),
   MQ_ORDER_PAY_RESULT(3, "支付结果回调处理 MQ"),
   MQ_ORDER_CANCEL(4, "订单定时取消 MQ"),
   OFFLINE_ORDER(5, "离线订单上传"),
   WEIGHT_ORDER_PAY(6, "自助餐结算"),
   MQ_ORDER_REFUND_RESULT(7, "退款结果回调处理 MQ");

   private final Integer key;
   private final String desc;

   private OrderErrorTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
